.dot {
    height: 14px;
    width: 14px;
    background-color: #000000;
    border-radius: 50%;
    display: inline-block;
    cursor: pointer;
}

.element {
    display: inline-block;
    position: absolute;
}

.element:hover .dot,
.element:hover .line,
.element:hover .abreviation,
.element.is-hover .dot {
    background-color: #007DC6;
    color: #FFFFFF;
}

.img-relative {
    position: relative;
}
.abreviation {
    background-color: #FFFFFF;
    padding:5px;
    height:15px;
    cursor: pointer;
}
.top-right{
    top:-35px;
    position:relative;
    border-bottom:1px solid black;
}

.top-left{
    top:-35px;
    left:-55px;
    position:relative;
    border-bottom:1px solid black;
}

.bottom-right{
    top:30px;
    position:relative;
    border-top:1px solid black;
}

.bottom-left{
    top:25px;
    left:-50px;
    position:relative;
    border-top:1px solid black;
}

.line {
    width: 100%;
    color: black;
    height: 1px;
    background-color: black;
}

.tooltiptext {
    visibility: hidden;
    width: 140px;
    background-color: #007DC6;
    color: #FFFFFF;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    bottom: 130%;
    left: 67%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
}
.tooltiptext a{
    color: #FFFFFF;
    word-wrap: break-word;
    margin-left:5px;
    margin-right:5px;
}

.tooltiptext a:hover{
    color: #FFFFFF;
    text-decoration: underline;
}

.tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -14px;
    border-width: 5px;
    border-style: solid;
    border-color: #007DC6 transparent transparent transparent;
}

img#tech-background {
    position: relative;
}
.bottom-text {
    position: absolute;
    bottom: 5px;
    z-index: 2;
    width: 100%;
    text-align: center;
}
.left-text {
    position: absolute;
    left: -55px;
    /*z-index: 2;*/
    z-index: 0;
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3); 
    height: 60px;
    bottom: 390px;
}
.elements-holder {
    position: relative;
    margin-left: 40px;
    margin-top: 40px;
}
.technologies-map .img-relative{
    padding-top:1px;
}

@media (max-width: 768px) {
    .technologies-map {
        overflow-x:scroll;
         -webkit-overflow-scrolling: touch;
    }
}

.page-content main .article .item-technology .content p.text-big{
    font-size:16px;
}

.fancybox-inner h2{display:none}
.article span.icon{
    float:right;
    margin: 0px 0px 15px 15px;
}

.article .author p{
    padding:0;
    margin: 0;
}

.article .author {
    margin-bottom: 20px;
}

#socialmediaComparison .country-selector {
    display: inline-flex;
    padding: 8px 12px;
    margin: 1rem 0;
    font-size: 90%;
    background-color: #ddd;
    border-radius: 4px;
}
#socialmediaTrendanalyse .country-selector {
    padding: 8px 12px;
    margin: 1rem 0;
    font-size: 90%;
    text-align: center;
}
#socialmediaComparison .country-selector__label,
#socialmediaTrendanalyse .country-selector__label {
    margin-right: .25rem;
}
#socialmediaComparison .pies-title {
    margin: 2rem 1rem;
    font-weight: bold
}
#socialmediaComparison .pies-wrapper {
    display:flex;flex-direction: row; padding: 1rem 0 0
}
#socialmediaTrendanalyse .chart-wrapper,
#swisstech .chart-wrapper {
    margin: 3rem 0 7rem
}
.text-right {
    text-align:right
}

#socialmediaComparison .chart-caption {
    background: #f7f7f7e6;
    padding: 15px;
    margin-top: 15px;
    font-size: 85%;
}

#socialmediaComparison .chart-caption__title {
    font-size: 18px;
    font-weight: bold;
    padding-bottom: 5px;
}


#swisstech .switch-wrapper {
    text-align: right;
    padding: 1rem 0;
}
#swisstech .switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 24px;
}

#swisstech .switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

#swisstech .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

#swisstech .slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

#swisstech input:checked + .slider {
    background-color: #2196F3;
}

#swisstech input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

#swisstech input:checked + .slider:before {
    -webkit-transform: translateX(15px);
    -ms-transform: translateX(15px);
    transform: translateX(15px);
}

#swisstech .slider.round {
    border-radius: 24px;
}

#swisstech .slider.round:before {
    border-radius: 50%;
}

.swisstech-widget {
    border: 1px #1a1a1a solid;
    padding: 10px;
    margin: 2rem 0;
}
.swisstech-widget .tech-list {
    margin: 1rem;
}
.swisstech-widget .tech-icon {
    flex-grow: 0;
    padding-right: 4px;
    align-self: center;
}
.swisstech-widget .tech-title {
    flex-grow: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    align-self: center;
}
.swisstech-widget .tech-shift {
    white-space: nowrap;
    flex-grow: 0;
    min-width: 90px;
    padding-left: 3px;
    align-self: center;
    font-size: 12px;
    background-color: #e2e2e2;
    text-align: center;
}
.swisstech-widget .tech-shift-per-axis {
    white-space: nowrap;
    width: 60px;
    flex-grow: 0;
    min-width: 60px;
    padding-right: 5px;
    padding-left: 10px;
    align-self: center;
}
.swisstech-widget .tech-shift-icon {
    vertical-align: middle;
    align-self: center;
}
.swisstech-widget .shift-infinite {
    display: inline-block;
    font-size: 140%;
    vertical-align: middle;
    margin-top: 2px;
    margin-left: 1px;
}

.d-flex {
    display: flex;
}

#trendTechnologies {
    margin-top: 1rem;
    margin-bottom: 5rem;
}
#trendTechnologies .trend-technology-icon {
    display: inline-block;
    padding: 2px;
}
#trendTechnologies .trend-technology-icon img {
    width: 50px;
    height: 50px;
    display: inline-block;
    text-transform: uppercase;
    box-shadow: 0 11px 10px -10px rgba(0, 0, 0, 0.4);
    cursor: pointer;
    transition: all ease-in-out 300ms;
    border: 1px rgba(204, 204, 204, 0.4) solid;
    border-radius: 4px;
    padding: 6px;
}
#trendTechnologies .trend-technology-icon img:hover {
    box-shadow: 0 37px 20px -20px rgba(0, 0, 0, 0.2);
    background: #e3f5ff;
    width: 54px;
    height: 54px;
    margin: -2px;
}


#trendChartWidget #modalChart .modal-dialog {
    width: 1200px;
    max-width: 100%;
}
#trendChartWidget #modalChart .modal-dialog .modal-body {
    margin: 25px 25px 5px 5px;
}
#trendChartWidget #modalChart .modal-dialog .modal-body button.close {
    font-size: 60px;
    position: absolute;
    top: -25px;
    right: -15px;
}
#trendChartWidget #trendChartSmall {
    cursor: pointer;
}

.article.technology-2021 {
    padding-bottom: 50px;
}
.technology-details-widget {
    display: flex;
    margin: 30px 15px 50px 0;
}
.technology-details-widget > div.parameters {
    flex-grow: 0;
    flex-shrink: 0;
    width: 35%;
}
.technology-details-widget > div.trends {
    flex-grow: 1;
    flex-shrink: 0;
    align-items: start;
}
.technology-details-widget .trends,
.technology-details-widget .comparison {
    display: flex;
    flex-direction: column;
}
.technology-details-widget .trends-title {
    display: block;
    padding-left: 20px;
    font-size: 14px;
}

.technology-details-widget .trends-wrapper {
    display: block;
    width: 100%;
    padding: 0 10px 10px;
    justify-content: center;
}
.technology-details-widget .trends ul {
    list-style: none;
    margin: 0;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    height: 140px;
    box-shadow: 0 11px 10px -10px rgba(0, 0, 0, 0.4);
    transition: all ease-in-out 300ms;
    border: 1px rgba(204,204,204,0.4) solid;
    border-radius: 4px;
    padding: 6px;
    background-color: #fffabb;align-self: center;
    font-size: 12px;
}
.technology-details-widget .trends ul li {
    list-style: none;
    width: 150px
}

.technology-details-widget .technology-params {
    width: calc(100% - 20px);
    margin-top: 5px;
    margin-left: 15px;
}
.technology-details-widget .technology-params td {
    padding-bottom: 10px;
}
.technology-details-widget .technology-params-title {
    font-size: 18px;
    padding: 15px 10px;
}
.technology-details-widget .technology-params-name {
    font-size: 10px;
}
.technology-details-widget .technology-params-value {
    width: 90px;
    text-align: right;
}
.technology-details-widget .technology-params-progressbar {
    position: relative;
    height: 11px;
    width: 84px;
    background-image: url(../Images/progress-base.png);
    background-size: cover;
}
.technology-details-widget .technology-params-progressbar > div {
    position: absolute;
    top: 0;
    left: 0;
    height: 11px;
    width: 80%;
    background-image: url(../Images/progress-hover.png);
    background-size: cover;
}

#tt {
    position: absolute;
    display: block;
    padding: 2px 12px;
    margin-left: 5px;
    color: #FFF;
    z-index: 99999999999
}
.page-aside-wrapper h3 {
    margin-bottom: 10px;
}

@media screen and (max-width: 1023px) {
    html, body {
        max-width: 100vw;
        margin: 0;
    }
    .technology-details-widget {
        display: block;
        max-width: 100vw;
    }
    .technology-details-widget > div.trends {
        display: inline-flex;
        width: 100%;
        margin-top: 30px;
    }
    .technology-details-widget .trends ul {
        height: auto;
    }
    .technology-details-widget .trends-wrapper {
        width: 100%;
        display: block;
        padding-right: 30px;
    }
    .page-content > .row {
        max-width: 100vw !important;
        margin: 0 !important;
    }
    .col-xs-1, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9, .col-xs-10, .col-xs-11, .col-xs-12 {
        float: none !important;
    }
    .page-footer {
        margin-top: 50px;
    }
}

.technology-chart .chart {
    border: 1px solid #EAEAEA;
    padding: 20px;
}
.technology-chart  .line-chart .legend {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: stretch;
}
.technology-chart .line-chart  .legend .item {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
}
.technology-chart .line-chart  .legend .item .color-bar {
    display:inline-block;
    min-width:35px;
    height:6px;
    border-radius:4px;
}
.technology-chart .line-chart  .legend .item .color-bar-dashed {
    display:inline-block;
    min-width:10px;
    height:6px;
    border-radius:4px;
    margin-right:2px;
}
.technology-chart .line-chart  .legend .item .item-title {
    padding: 0 15px 0 8px;
}